Description

I think that being able to provision a new VM without waiting for

kickstart / preseed installation time is awesome.

We should add the ability to clone a "base image" and use it

as a root system for new vms.

Associated revisions

Revision 3d03e334 - 03/11/2014 02:35 PM - Dominic Cleal

fixes #4123 - libvirt imaging support using backing volumes

History

#1 - 02/05/2014 04:37 PM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

I've got a working branch here: https://github.com/domcleal/foreman/tree/4123-libvirt-imaging

Waiting on fog 1.20 (to be released this week) which contains an enabling feature for backing volume support.

The feature works by registering an image to the libvirt compute resource, where the "ID" is the full path to a backing volume on the filesystem (e.g.

/var/lib/libvirt/images/centos64.qcow2).  Foreman then creates the new host's volume referencing this original qcow2 as a backing volume, so you get

a copy on write setup.  Since libvirt doesn't provide user data or ways to get SSH keys in, it also relies on a username/password embedded in the

image in the same way as the (about to be merged) oVirt imaging support.

We might later be able to add user data support by using a separate disk for cloud-init to read (see Rich Jones' blog).

#2 - 02/24/2014 05:45 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.9.1

https://github.com/theforeman/foreman/pull/1249

#3 - 03/03/2014 12:47 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#4 - 03/11/2014 03:01 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#5 - 03/11/2014 03:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/domcleal/foreman/tree/4123-libvirt-imaging
http://rwmj.wordpress.com/2013/12/10/creating-a-cloud-init-config-disk-for-non-cloud-boots/#content
https://github.com/theforeman/foreman/pull/1249


Applied in changeset 3d03e33415d8bff6886a6659f8cfebb3de602ecc.
